# Sandstorm - Personal Cloud Sandbox
# Copyright (c) 2018 Sandstorm Development Group, Inc. and contributors
# All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

@0x9dc702ea30180791;

$import "/capnp/c++.capnp".namespace("sandstorm");

struct MimeTypeInfo {
  name @0 :Text;
  extensions @1 :List(Text);
}

# Generated by:
#
#  const fetch = require("node-fetch");
#
#  const p1 = fetch("https://raw.githubusercontent.com/broofa/node-mime/master/types/standard.json")
#      .then(resp => resp.json());
#  const p2 = fetch("https://raw.githubusercontent.com/broofa/node-mime/master/types/other.json")
#      .then(resp => resp.json());
#
#  function printTypes(map) {
#    for (name in map) {
#      let exts = map[name].join('","');
#      console.log(`(name = "${name}", extensions = ["${exts}"]),`);
#    }
#  }
#
#  Promise.all([p1, p2]).then(resps => {
#    printTypes(resps[0]);
#    printTypes(resps[1]);
#  }).catch(err => {
#    console.error(err.stack);
#  });

const mimeTypeInfoTable :List(MimeTypeInfo) = [
  (name = "application/andrew-inset", extensions = ["ez"]),
  (name = "application/applixware", extensions = ["aw"]),
  (name = "application/atom+xml", extensions = ["atom"]),
  (name = "application/atomcat+xml", extensions = ["atomcat"]),
  (name = "application/atomsvc+xml", extensions = ["atomsvc"]),
  (name = "application/bdoc", extensions = ["bdoc"]),
  (name = "application/ccxml+xml", extensions = ["ccxml"]),
  (name = "application/cdmi-capability", extensions = ["cdmia"]),
  (name = "application/cdmi-container", extensions = ["cdmic"]),
  (name = "application/cdmi-domain", extensions = ["cdmid"]),
  (name = "application/cdmi-object", extensions = ["cdmio"]),
  (name = "application/cdmi-queue", extensions = ["cdmiq"]),
  (name = "application/cu-seeme", extensions = ["cu"]),
  (name = "application/dash+xml", extensions = ["mpd"]),
  (name = "application/davmount+xml", extensions = ["davmount"]),
  (name = "application/docbook+xml", extensions = ["dbk"]),
  (name = "application/dssc+der", extensions = ["dssc"]),
  (name = "application/dssc+xml", extensions = ["xdssc"]),
  (name = "application/ecmascript", extensions = ["ecma"]),
  (name = "application/emma+xml", extensions = ["emma"]),
  (name = "application/epub+zip", extensions = ["epub"]),
  (name = "application/exi", extensions = ["exi"]),
  (name = "application/font-tdpfr", extensions = ["pfr"]),
  (name = "application/font-woff", extensions = ["woff"]),
  (name = "application/font-woff2", extensions = ["*woff2"]),
  (name = "application/geo+json", extensions = ["geojson"]),
  (name = "application/gml+xml", extensions = ["gml"]),
  (name = "application/gpx+xml", extensions = ["gpx"]),
  (name = "application/gxf", extensions = ["gxf"]),
  (name = "application/gzip", extensions = ["gz"]),
  (name = "application/hjson", extensions = ["hjson"]),
  (name = "application/hyperstudio", extensions = ["stk"]),
  (name = "application/inkml+xml", extensions = ["ink","inkml"]),
  (name = "application/ipfix", extensions = ["ipfix"]),
  (name = "application/java-archive", extensions = ["jar","war","ear"]),
  (name = "application/java-serialized-object", extensions = ["ser"]),
  (name = "application/java-vm", extensions = ["class"]),
  (name = "application/javascript", extensions = ["js","mjs"]),
  (name = "application/json", extensions = ["json","map"]),
  (name = "application/json5", extensions = ["json5"]),
  (name = "application/jsonml+json", extensions = ["jsonml"]),
  (name = "application/ld+json", extensions = ["jsonld"]),
  (name = "application/lost+xml", extensions = ["lostxml"]),
  (name = "application/mac-binhex40", extensions = ["hqx"]),
  (name = "application/mac-compactpro", extensions = ["cpt"]),
  (name = "application/mads+xml", extensions = ["mads"]),
  (name = "application/manifest+json", extensions = ["webmanifest"]),
  (name = "application/marc", extensions = ["mrc"]),
  (name = "application/marcxml+xml", extensions = ["mrcx"]),
  (name = "application/mathematica", extensions = ["ma","nb","mb"]),
  (name = "application/mathml+xml", extensions = ["mathml"]),
  (name = "application/mbox", extensions = ["mbox"]),
  (name = "application/mediaservercontrol+xml", extensions = ["mscml"]),
  (name = "application/metalink+xml", extensions = ["metalink"]),
  (name = "application/metalink4+xml", extensions = ["meta4"]),
  (name = "application/mets+xml", extensions = ["mets"]),
  (name = "application/mods+xml", extensions = ["mods"]),
  (name = "application/mp21", extensions = ["m21","mp21"]),
  (name = "application/mp4", extensions = ["mp4s","m4p"]),
  (name = "application/msword", extensions = ["doc","dot"]),
  (name = "application/mxf", extensions = ["mxf"]),
  (name = "application/octet-stream", extensions = ["bin","dms","lrf","mar","so","dist","distz","pkg","bpk","dump","elc","deploy","exe","dll","deb","dmg","iso","img","msi","msp","msm","buffer"]),
  (name = "application/oda", extensions = ["oda"]),
  (name = "application/oebps-package+xml", extensions = ["opf"]),
  (name = "application/ogg", extensions = ["ogx"]),
  (name = "application/omdoc+xml", extensions = ["omdoc"]),
  (name = "application/onenote", extensions = ["onetoc","onetoc2","onetmp","onepkg"]),
  (name = "application/oxps", extensions = ["oxps"]),
  (name = "application/patch-ops-error+xml", extensions = ["xer"]),
  (name = "application/pdf", extensions = ["pdf"]),
  (name = "application/pgp-encrypted", extensions = ["pgp"]),
  (name = "application/pgp-signature", extensions = ["asc","sig"]),
  (name = "application/pics-rules", extensions = ["prf"]),
  (name = "application/pkcs10", extensions = ["p10"]),
  (name = "application/pkcs7-mime", extensions = ["p7m","p7c"]),
  (name = "application/pkcs7-signature", extensions = ["p7s"]),
  (name = "application/pkcs8", extensions = ["p8"]),
  (name = "application/pkix-attr-cert", extensions = ["ac"]),
  (name = "application/pkix-cert", extensions = ["cer"]),
  (name = "application/pkix-crl", extensions = ["crl"]),
  (name = "application/pkix-pkipath", extensions = ["pkipath"]),
  (name = "application/pkixcmp", extensions = ["pki"]),
  (name = "application/pls+xml", extensions = ["pls"]),
  (name = "application/postscript", extensions = ["ai","eps","ps"]),
  (name = "application/pskc+xml", extensions = ["pskcxml"]),
  (name = "application/raml+yaml", extensions = ["raml"]),
  (name = "application/rdf+xml", extensions = ["rdf"]),
  (name = "application/reginfo+xml", extensions = ["rif"]),
  (name = "application/relax-ng-compact-syntax", extensions = ["rnc"]),
  (name = "application/resource-lists+xml", extensions = ["rl"]),
  (name = "application/resource-lists-diff+xml", extensions = ["rld"]),
  (name = "application/rls-services+xml", extensions = ["rs"]),
  (name = "application/rpki-ghostbusters", extensions = ["gbr"]),
  (name = "application/rpki-manifest", extensions = ["mft"]),
  (name = "application/rpki-roa", extensions = ["roa"]),
  (name = "application/rsd+xml", extensions = ["rsd"]),
  (name = "application/rss+xml", extensions = ["rss"]),
  (name = "application/rtf", extensions = ["rtf"]),
  (name = "application/sbml+xml", extensions = ["sbml"]),
  (name = "application/scvp-cv-request", extensions = ["scq"]),
  (name = "application/scvp-cv-response", extensions = ["scs"]),
  (name = "application/scvp-vp-request", extensions = ["spq"]),
  (name = "application/scvp-vp-response", extensions = ["spp"]),
  (name = "application/sdp", extensions = ["sdp"]),
  (name = "application/set-payment-initiation", extensions = ["setpay"]),
  (name = "application/set-registration-initiation", extensions = ["setreg"]),
  (name = "application/shf+xml", extensions = ["shf"]),
  (name = "application/smil+xml", extensions = ["smi","smil"]),
  (name = "application/sparql-query", extensions = ["rq"]),
  (name = "application/sparql-results+xml", extensions = ["srx"]),
  (name = "application/srgs", extensions = ["gram"]),
  (name = "application/srgs+xml", extensions = ["grxml"]),
  (name = "application/sru+xml", extensions = ["sru"]),
  (name = "application/ssdl+xml", extensions = ["ssdl"]),
  (name = "application/ssml+xml", extensions = ["ssml"]),
  (name = "application/tei+xml", extensions = ["tei","teicorpus"]),
  (name = "application/thraud+xml", extensions = ["tfi"]),
  (name = "application/timestamped-data", extensions = ["tsd"]),
  (name = "application/voicexml+xml", extensions = ["vxml"]),
  (name = "application/wasm", extensions = ["wasm"]),
  (name = "application/widget", extensions = ["wgt"]),
  (name = "application/winhlp", extensions = ["hlp"]),
  (name = "application/wsdl+xml", extensions = ["wsdl"]),
  (name = "application/wspolicy+xml", extensions = ["wspolicy"]),
  (name = "application/xaml+xml", extensions = ["xaml"]),
  (name = "application/xcap-diff+xml", extensions = ["xdf"]),
  (name = "application/xenc+xml", extensions = ["xenc"]),
  (name = "application/xhtml+xml", extensions = ["xhtml","xht"]),
  (name = "application/xml", extensions = ["xml","xsl","xsd","rng"]),
  (name = "application/xml-dtd", extensions = ["dtd"]),
  (name = "application/xop+xml", extensions = ["xop"]),
  (name = "application/xproc+xml", extensions = ["xpl"]),
  (name = "application/xslt+xml", extensions = ["xslt"]),
  (name = "application/xspf+xml", extensions = ["xspf"]),
  (name = "application/xv+xml", extensions = ["mxml","xhvml","xvml","xvm"]),
  (name = "application/yang", extensions = ["yang"]),
  (name = "application/yin+xml", extensions = ["yin"]),
  (name = "application/zip", extensions = ["zip"]),
  (name = "audio/3gpp", extensions = ["*3gpp"]),
  (name = "audio/adpcm", extensions = ["adp"]),
  (name = "audio/basic", extensions = ["au","snd"]),
  (name = "audio/midi", extensions = ["mid","midi","kar","rmi"]),
  (name = "audio/mp3", extensions = ["*mp3"]),
  (name = "audio/mp4", extensions = ["m4a","mp4a"]),
  (name = "audio/mpeg", extensions = ["mpga","mp2","mp2a","mp3","m2a","m3a"]),
  (name = "audio/ogg", extensions = ["oga","ogg","spx"]),
  (name = "audio/s3m", extensions = ["s3m"]),
  (name = "audio/silk", extensions = ["sil"]),
  (name = "audio/wav", extensions = ["wav"]),
  (name = "audio/wave", extensions = ["*wav"]),
  (name = "audio/webm", extensions = ["weba"]),
  (name = "audio/xm", extensions = ["xm"]),
  (name = "font/collection", extensions = ["ttc"]),
  (name = "font/otf", extensions = ["otf"]),
  (name = "font/ttf", extensions = ["ttf"]),
  (name = "font/woff", extensions = ["*woff"]),
  (name = "font/woff2", extensions = ["woff2"]),
  (name = "image/apng", extensions = ["apng"]),
  (name = "image/bmp", extensions = ["bmp"]),
  (name = "image/cgm", extensions = ["cgm"]),
  (name = "image/g3fax", extensions = ["g3"]),
  (name = "image/gif", extensions = ["gif"]),
  (name = "image/ief", extensions = ["ief"]),
  (name = "image/jp2", extensions = ["jp2","jpg2"]),
  (name = "image/jpeg", extensions = ["jpeg","jpg","jpe"]),
  (name = "image/jpm", extensions = ["jpm"]),
  (name = "image/jpx", extensions = ["jpx","jpf"]),
  (name = "image/ktx", extensions = ["ktx"]),
  (name = "image/png", extensions = ["png"]),
  (name = "image/sgi", extensions = ["sgi"]),
  (name = "image/svg+xml", extensions = ["svg","svgz"]),
  (name = "image/tiff", extensions = ["tiff","tif"]),
  (name = "image/webp", extensions = ["webp"]),
  (name = "message/rfc822", extensions = ["eml","mime"]),
  (name = "model/gltf+json", extensions = ["gltf"]),
  (name = "model/gltf-binary", extensions = ["glb"]),
  (name = "model/iges", extensions = ["igs","iges"]),
  (name = "model/mesh", extensions = ["msh","mesh","silo"]),
  (name = "model/vrml", extensions = ["wrl","vrml"]),
  (name = "model/x3d+binary", extensions = ["x3db","x3dbz"]),
  (name = "model/x3d+vrml", extensions = ["x3dv","x3dvz"]),
  (name = "model/x3d+xml", extensions = ["x3d","x3dz"]),
  (name = "text/cache-manifest", extensions = ["appcache","manifest"]),
  (name = "text/calendar", extensions = ["ics","ifb"]),
  (name = "text/coffeescript", extensions = ["coffee","litcoffee"]),
  (name = "text/css", extensions = ["css"]),
  (name = "text/csv", extensions = ["csv"]),
  (name = "text/html", extensions = ["html","htm","shtml"]),
  (name = "text/jade", extensions = ["jade"]),
  (name = "text/jsx", extensions = ["jsx"]),
  (name = "text/less", extensions = ["less"]),
  (name = "text/markdown", extensions = ["markdown","md"]),
  (name = "text/mathml", extensions = ["mml"]),
  (name = "text/n3", extensions = ["n3"]),
  (name = "text/plain", extensions = ["txt","text","conf","def","list","log","in","ini"]),
  (name = "text/richtext", extensions = ["rtx"]),
  (name = "text/rtf", extensions = ["*rtf"]),
  (name = "text/sgml", extensions = ["sgml","sgm"]),
  (name = "text/shex", extensions = ["shex"]),
  (name = "text/slim", extensions = ["slim","slm"]),
  (name = "text/stylus", extensions = ["stylus","styl"]),
  (name = "text/tab-separated-values", extensions = ["tsv"]),
  (name = "text/troff", extensions = ["t","tr","roff","man","me","ms"]),
  (name = "text/turtle", extensions = ["ttl"]),
  (name = "text/uri-list", extensions = ["uri","uris","urls"]),
  (name = "text/vcard", extensions = ["vcard"]),
  (name = "text/vtt", extensions = ["vtt"]),
  (name = "text/xml", extensions = ["*xml"]),
  (name = "text/yaml", extensions = ["yaml","yml"]),
  (name = "video/3gpp", extensions = ["3gp","3gpp"]),
  (name = "video/3gpp2", extensions = ["3g2"]),
  (name = "video/h261", extensions = ["h261"]),
  (name = "video/h263", extensions = ["h263"]),
  (name = "video/h264", extensions = ["h264"]),
  (name = "video/jpeg", extensions = ["jpgv"]),
  (name = "video/jpm", extensions = ["*jpm","jpgm"]),
  (name = "video/mj2", extensions = ["mj2","mjp2"]),
  (name = "video/mp2t", extensions = ["ts"]),
  (name = "video/mp4", extensions = ["mp4","mp4v","mpg4"]),
  (name = "video/mpeg", extensions = ["mpeg","mpg","mpe","m1v","m2v"]),
  (name = "video/ogg", extensions = ["ogv"]),
  (name = "video/quicktime", extensions = ["qt","mov"]),
  (name = "video/webm", extensions = ["webm"]),
  (name = "application/prs.cww", extensions = ["cww"]),
  (name = "application/vnd.3gpp.pic-bw-large", extensions = ["plb"]),
  (name = "application/vnd.3gpp.pic-bw-small", extensions = ["psb"]),
  (name = "application/vnd.3gpp.pic-bw-var", extensions = ["pvb"]),
  (name = "application/vnd.3gpp2.tcap", extensions = ["tcap"]),
  (name = "application/vnd.3m.post-it-notes", extensions = ["pwn"]),
  (name = "application/vnd.accpac.simply.aso", extensions = ["aso"]),
  (name = "application/vnd.accpac.simply.imp", extensions = ["imp"]),
  (name = "application/vnd.acucobol", extensions = ["acu"]),
  (name = "application/vnd.acucorp", extensions = ["atc","acutc"]),
  (name = "application/vnd.adobe.air-application-installer-package+zip", extensions = ["air"]),
  (name = "application/vnd.adobe.formscentral.fcdt", extensions = ["fcdt"]),
  (name = "application/vnd.adobe.fxp", extensions = ["fxp","fxpl"]),
  (name = "application/vnd.adobe.xdp+xml", extensions = ["xdp"]),
  (name = "application/vnd.adobe.xfdf", extensions = ["xfdf"]),
  (name = "application/vnd.ahead.space", extensions = ["ahead"]),
  (name = "application/vnd.airzip.filesecure.azf", extensions = ["azf"]),
  (name = "application/vnd.airzip.filesecure.azs", extensions = ["azs"]),
  (name = "application/vnd.amazon.ebook", extensions = ["azw"]),
  (name = "application/vnd.americandynamics.acc", extensions = ["acc"]),
  (name = "application/vnd.amiga.ami", extensions = ["ami"]),
  (name = "application/vnd.android.package-archive", extensions = ["apk"]),
  (name = "application/vnd.anser-web-certificate-issue-initiation", extensions = ["cii"]),
  (name = "application/vnd.anser-web-funds-transfer-initiation", extensions = ["fti"]),
  (name = "application/vnd.antix.game-component", extensions = ["atx"]),
  (name = "application/vnd.apple.installer+xml", extensions = ["mpkg"]),
  (name = "application/vnd.apple.mpegurl", extensions = ["m3u8"]),
  (name = "application/vnd.apple.pkpass", extensions = ["pkpass"]),
  (name = "application/vnd.aristanetworks.swi", extensions = ["swi"]),
  (name = "application/vnd.astraea-software.iota", extensions = ["iota"]),
  (name = "application/vnd.audiograph", extensions = ["aep"]),
  (name = "application/vnd.blueice.multipass", extensions = ["mpm"]),
  (name = "application/vnd.bmi", extensions = ["bmi"]),
  (name = "application/vnd.businessobjects", extensions = ["rep"]),
  (name = "application/vnd.chemdraw+xml", extensions = ["cdxml"]),
  (name = "application/vnd.chipnuts.karaoke-mmd", extensions = ["mmd"]),
  (name = "application/vnd.cinderella", extensions = ["cdy"]),
  (name = "application/vnd.claymore", extensions = ["cla"]),
  (name = "application/vnd.cloanto.rp9", extensions = ["rp9"]),
  (name = "application/vnd.clonk.c4group", extensions = ["c4g","c4d","c4f","c4p","c4u"]),
  (name = "application/vnd.cluetrust.cartomobile-config", extensions = ["c11amc"]),
  (name = "application/vnd.cluetrust.cartomobile-config-pkg", extensions = ["c11amz"]),
  (name = "application/vnd.commonspace", extensions = ["csp"]),
  (name = "application/vnd.contact.cmsg", extensions = ["cdbcmsg"]),
  (name = "application/vnd.cosmocaller", extensions = ["cmc"]),
  (name = "application/vnd.crick.clicker", extensions = ["clkx"]),
  (name = "application/vnd.crick.clicker.keyboard", extensions = ["clkk"]),
  (name = "application/vnd.crick.clicker.palette", extensions = ["clkp"]),
  (name = "application/vnd.crick.clicker.template", extensions = ["clkt"]),
  (name = "application/vnd.crick.clicker.wordbank", extensions = ["clkw"]),
  (name = "application/vnd.criticaltools.wbs+xml", extensions = ["wbs"]),
  (name = "application/vnd.ctc-posml", extensions = ["pml"]),
  (name = "application/vnd.cups-ppd", extensions = ["ppd"]),
  (name = "application/vnd.curl.car", extensions = ["car"]),
  (name = "application/vnd.curl.pcurl", extensions = ["pcurl"]),
  (name = "application/vnd.dart", extensions = ["dart"]),
  (name = "application/vnd.data-vision.rdz", extensions = ["rdz"]),
  (name = "application/vnd.dece.data", extensions = ["uvf","uvvf","uvd","uvvd"]),
  (name = "application/vnd.dece.ttml+xml", extensions = ["uvt","uvvt"]),
  (name = "application/vnd.dece.unspecified", extensions = ["uvx","uvvx"]),
  (name = "application/vnd.dece.zip", extensions = ["uvz","uvvz"]),
  (name = "application/vnd.denovo.fcselayout-link", extensions = ["fe_launch"]),
  (name = "application/vnd.dna", extensions = ["dna"]),
  (name = "application/vnd.dolby.mlp", extensions = ["mlp"]),
  (name = "application/vnd.dpgraph", extensions = ["dpg"]),
  (name = "application/vnd.dreamfactory", extensions = ["dfac"]),
  (name = "application/vnd.ds-keypoint", extensions = ["kpxx"]),
  (name = "application/vnd.dvb.ait", extensions = ["ait"]),
  (name = "application/vnd.dvb.service", extensions = ["svc"]),
  (name = "application/vnd.dynageo", extensions = ["geo"]),
  (name = "application/vnd.ecowin.chart", extensions = ["mag"]),
  (name = "application/vnd.enliven", extensions = ["nml"]),
  (name = "application/vnd.epson.esf", extensions = ["esf"]),
  (name = "application/vnd.epson.msf", extensions = ["msf"]),
  (name = "application/vnd.epson.quickanime", extensions = ["qam"]),
  (name = "application/vnd.epson.salt", extensions = ["slt"]),
  (name = "application/vnd.epson.ssf", extensions = ["ssf"]),
  (name = "application/vnd.eszigno3+xml", extensions = ["es3","et3"]),
  (name = "application/vnd.ezpix-album", extensions = ["ez2"]),
  (name = "application/vnd.ezpix-package", extensions = ["ez3"]),
  (name = "application/vnd.fdf", extensions = ["fdf"]),
  (name = "application/vnd.fdsn.mseed", extensions = ["mseed"]),
  (name = "application/vnd.fdsn.seed", extensions = ["seed","dataless"]),
  (name = "application/vnd.flographit", extensions = ["gph"]),
  (name = "application/vnd.fluxtime.clip", extensions = ["ftc"]),
  (name = "application/vnd.framemaker", extensions = ["fm","frame","maker","book"]),
  (name = "application/vnd.frogans.fnc", extensions = ["fnc"]),
  (name = "application/vnd.frogans.ltf", extensions = ["ltf"]),
  (name = "application/vnd.fsc.weblaunch", extensions = ["fsc"]),
  (name = "application/vnd.fujitsu.oasys", extensions = ["oas"]),
  (name = "application/vnd.fujitsu.oasys2", extensions = ["oa2"]),
  (name = "application/vnd.fujitsu.oasys3", extensions = ["oa3"]),
  (name = "application/vnd.fujitsu.oasysgp", extensions = ["fg5"]),
  (name = "application/vnd.fujitsu.oasysprs", extensions = ["bh2"]),
  (name = "application/vnd.fujixerox.ddd", extensions = ["ddd"]),
  (name = "application/vnd.fujixerox.docuworks", extensions = ["xdw"]),
  (name = "application/vnd.fujixerox.docuworks.binder", extensions = ["xbd"]),
  (name = "application/vnd.fuzzysheet", extensions = ["fzs"]),
  (name = "application/vnd.genomatix.tuxedo", extensions = ["txd"]),
  (name = "application/vnd.geogebra.file", extensions = ["ggb"]),
  (name = "application/vnd.geogebra.tool", extensions = ["ggt"]),
  (name = "application/vnd.geometry-explorer", extensions = ["gex","gre"]),
  (name = "application/vnd.geonext", extensions = ["gxt"]),
  (name = "application/vnd.geoplan", extensions = ["g2w"]),
  (name = "application/vnd.geospace", extensions = ["g3w"]),
  (name = "application/vnd.gmx", extensions = ["gmx"]),
  (name = "application/vnd.google-apps.document", extensions = ["gdoc"]),
  (name = "application/vnd.google-apps.presentation", extensions = ["gslides"]),
  (name = "application/vnd.google-apps.spreadsheet", extensions = ["gsheet"]),
  (name = "application/vnd.google-earth.kml+xml", extensions = ["kml"]),
  (name = "application/vnd.google-earth.kmz", extensions = ["kmz"]),
  (name = "application/vnd.grafeq", extensions = ["gqf","gqs"]),
  (name = "application/vnd.groove-account", extensions = ["gac"]),
  (name = "application/vnd.groove-help", extensions = ["ghf"]),
  (name = "application/vnd.groove-identity-message", extensions = ["gim"]),
  (name = "application/vnd.groove-injector", extensions = ["grv"]),
  (name = "application/vnd.groove-tool-message", extensions = ["gtm"]),
  (name = "application/vnd.groove-tool-template", extensions = ["tpl"]),
  (name = "application/vnd.groove-vcard", extensions = ["vcg"]),
  (name = "application/vnd.hal+xml", extensions = ["hal"]),
  (name = "application/vnd.handheld-entertainment+xml", extensions = ["zmm"]),
  (name = "application/vnd.hbci", extensions = ["hbci"]),
  (name = "application/vnd.hhe.lesson-player", extensions = ["les"]),
  (name = "application/vnd.hp-hpgl", extensions = ["hpgl"]),
  (name = "application/vnd.hp-hpid", extensions = ["hpid"]),
  (name = "application/vnd.hp-hps", extensions = ["hps"]),
  (name = "application/vnd.hp-jlyt", extensions = ["jlt"]),
  (name = "application/vnd.hp-pcl", extensions = ["pcl"]),
  (name = "application/vnd.hp-pclxl", extensions = ["pclxl"]),
  (name = "application/vnd.hydrostatix.sof-data", extensions = ["sfd-hdstx"]),
  (name = "application/vnd.ibm.minipay", extensions = ["mpy"]),
  (name = "application/vnd.ibm.modcap", extensions = ["afp","listafp","list3820"]),
  (name = "application/vnd.ibm.rights-management", extensions = ["irm"]),
  (name = "application/vnd.ibm.secure-container", extensions = ["sc"]),
  (name = "application/vnd.iccprofile", extensions = ["icc","icm"]),
  (name = "application/vnd.igloader", extensions = ["igl"]),
  (name = "application/vnd.immervision-ivp", extensions = ["ivp"]),
  (name = "application/vnd.immervision-ivu", extensions = ["ivu"]),
  (name = "application/vnd.insors.igm", extensions = ["igm"]),
  (name = "application/vnd.intercon.formnet", extensions = ["xpw","xpx"]),
  (name = "application/vnd.intergeo", extensions = ["i2g"]),
  (name = "application/vnd.intu.qbo", extensions = ["qbo"]),
  (name = "application/vnd.intu.qfx", extensions = ["qfx"]),
  (name = "application/vnd.ipunplugged.rcprofile", extensions = ["rcprofile"]),
  (name = "application/vnd.irepository.package+xml", extensions = ["irp"]),
  (name = "application/vnd.is-xpr", extensions = ["xpr"]),
  (name = "application/vnd.isac.fcs", extensions = ["fcs"]),
  (name = "application/vnd.jam", extensions = ["jam"]),
  (name = "application/vnd.jcp.javame.midlet-rms", extensions = ["rms"]),
  (name = "application/vnd.jisp", extensions = ["jisp"]),
  (name = "application/vnd.joost.joda-archive", extensions = ["joda"]),
  (name = "application/vnd.kahootz", extensions = ["ktz","ktr"]),
  (name = "application/vnd.kde.karbon", extensions = ["karbon"]),
  (name = "application/vnd.kde.kchart", extensions = ["chrt"]),
  (name = "application/vnd.kde.kformula", extensions = ["kfo"]),
  (name = "application/vnd.kde.kivio", extensions = ["flw"]),
  (name = "application/vnd.kde.kontour", extensions = ["kon"]),
  (name = "application/vnd.kde.kpresenter", extensions = ["kpr","kpt"]),
  (name = "application/vnd.kde.kspread", extensions = ["ksp"]),
  (name = "application/vnd.kde.kword", extensions = ["kwd","kwt"]),
  (name = "application/vnd.kenameaapp", extensions = ["htke"]),
  (name = "application/vnd.kidspiration", extensions = ["kia"]),
  (name = "application/vnd.kinar", extensions = ["kne","knp"]),
  (name = "application/vnd.koan", extensions = ["skp","skd","skt","skm"]),
  (name = "application/vnd.kodak-descriptor", extensions = ["sse"]),
  (name = "application/vnd.las.las+xml", extensions = ["lasxml"]),
  (name = "application/vnd.llamagraphics.life-balance.desktop", extensions = ["lbd"]),
  (name = "application/vnd.llamagraphics.life-balance.exchange+xml", extensions = ["lbe"]),
  (name = "application/vnd.lotus-1-2-3", extensions = ["123"]),
  (name = "application/vnd.lotus-approach", extensions = ["apr"]),
  (name = "application/vnd.lotus-freelance", extensions = ["pre"]),
  (name = "application/vnd.lotus-notes", extensions = ["nsf"]),
  (name = "application/vnd.lotus-organizer", extensions = ["org"]),
  (name = "application/vnd.lotus-screencam", extensions = ["scm"]),
  (name = "application/vnd.lotus-wordpro", extensions = ["lwp"]),
  (name = "application/vnd.macports.portpkg", extensions = ["portpkg"]),
  (name = "application/vnd.mcd", extensions = ["mcd"]),
  (name = "application/vnd.medcalcdata", extensions = ["mc1"]),
  (name = "application/vnd.mediastation.cdkey", extensions = ["cdkey"]),
  (name = "application/vnd.mfer", extensions = ["mwf"]),
  (name = "application/vnd.mfmp", extensions = ["mfm"]),
  (name = "application/vnd.micrografx.flo", extensions = ["flo"]),
  (name = "application/vnd.micrografx.igx", extensions = ["igx"]),
  (name = "application/vnd.mif", extensions = ["mif"]),
  (name = "application/vnd.mobius.daf", extensions = ["daf"]),
  (name = "application/vnd.mobius.dis", extensions = ["dis"]),
  (name = "application/vnd.mobius.mbk", extensions = ["mbk"]),
  (name = "application/vnd.mobius.mqy", extensions = ["mqy"]),
  (name = "application/vnd.mobius.msl", extensions = ["msl"]),
  (name = "application/vnd.mobius.plc", extensions = ["plc"]),
  (name = "application/vnd.mobius.txf", extensions = ["txf"]),
  (name = "application/vnd.mophun.application", extensions = ["mpn"]),
  (name = "application/vnd.mophun.certificate", extensions = ["mpc"]),
  (name = "application/vnd.mozilla.xul+xml", extensions = ["xul"]),
  (name = "application/vnd.ms-artgalry", extensions = ["cil"]),
  (name = "application/vnd.ms-cab-compressed", extensions = ["cab"]),
  (name = "application/vnd.ms-excel", extensions = ["xls","xlm","xla","xlc","xlt","xlw"]),
  (name = "application/vnd.ms-excel.addin.macroenabled.12", extensions = ["xlam"]),
  (name = "application/vnd.ms-excel.sheet.binary.macroenabled.12", extensions = ["xlsb"]),
  (name = "application/vnd.ms-excel.sheet.macroenabled.12", extensions = ["xlsm"]),
  (name = "application/vnd.ms-excel.template.macroenabled.12", extensions = ["xltm"]),
  (name = "application/vnd.ms-fontobject", extensions = ["eot"]),
  (name = "application/vnd.ms-htmlhelp", extensions = ["chm"]),
  (name = "application/vnd.ms-ims", extensions = ["ims"]),
  (name = "application/vnd.ms-lrm", extensions = ["lrm"]),
  (name = "application/vnd.ms-officetheme", extensions = ["thmx"]),
  (name = "application/vnd.ms-outlook", extensions = ["msg"]),
  (name = "application/vnd.ms-pki.seccat", extensions = ["cat"]),
  (name = "application/vnd.ms-pki.stl", extensions = ["stl"]),
  (name = "application/vnd.ms-powerpoint", extensions = ["ppt","pps","pot"]),
  (name = "application/vnd.ms-powerpoint.addin.macroenabled.12", extensions = ["ppam"]),
  (name = "application/vnd.ms-powerpoint.presentation.macroenabled.12", extensions = ["pptm"]),
  (name = "application/vnd.ms-powerpoint.slide.macroenabled.12", extensions = ["sldm"]),
  (name = "application/vnd.ms-powerpoint.slideshow.macroenabled.12", extensions = ["ppsm"]),
  (name = "application/vnd.ms-powerpoint.template.macroenabled.12", extensions = ["potm"]),
  (name = "application/vnd.ms-project", extensions = ["mpp","mpt"]),
  (name = "application/vnd.ms-word.document.macroenabled.12", extensions = ["docm"]),
  (name = "application/vnd.ms-word.template.macroenabled.12", extensions = ["dotm"]),
  (name = "application/vnd.ms-works", extensions = ["wps","wks","wcm","wdb"]),
  (name = "application/vnd.ms-wpl", extensions = ["wpl"]),
  (name = "application/vnd.ms-xpsdocument", extensions = ["xps"]),
  (name = "application/vnd.mseq", extensions = ["mseq"]),
  (name = "application/vnd.musician", extensions = ["mus"]),
  (name = "application/vnd.muvee.style", extensions = ["msty"]),
  (name = "application/vnd.mynfc", extensions = ["taglet"]),
  (name = "application/vnd.neurolanguage.nlu", extensions = ["nlu"]),
  (name = "application/vnd.nitf", extensions = ["ntf","nitf"]),
  (name = "application/vnd.noblenet-directory", extensions = ["nnd"]),
  (name = "application/vnd.noblenet-sealer", extensions = ["nns"]),
  (name = "application/vnd.noblenet-web", extensions = ["nnw"]),
  (name = "application/vnd.nokia.n-gage.data", extensions = ["ngdat"]),
  (name = "application/vnd.nokia.n-gage.symbian.install", extensions = ["n-gage"]),
  (name = "application/vnd.nokia.radio-preset", extensions = ["rpst"]),
  (name = "application/vnd.nokia.radio-presets", extensions = ["rpss"]),
  (name = "application/vnd.novadigm.edm", extensions = ["edm"]),
  (name = "application/vnd.novadigm.edx", extensions = ["edx"]),
  (name = "application/vnd.novadigm.ext", extensions = ["ext"]),
  (name = "application/vnd.oasis.opendocument.chart", extensions = ["odc"]),
  (name = "application/vnd.oasis.opendocument.chart-template", extensions = ["otc"]),
  (name = "application/vnd.oasis.opendocument.database", extensions = ["odb"]),
  (name = "application/vnd.oasis.opendocument.formula", extensions = ["odf"]),
  (name = "application/vnd.oasis.opendocument.formula-template", extensions = ["odft"]),
  (name = "application/vnd.oasis.opendocument.graphics", extensions = ["odg"]),
  (name = "application/vnd.oasis.opendocument.graphics-template", extensions = ["otg"]),
  (name = "application/vnd.oasis.opendocument.image", extensions = ["odi"]),
  (name = "application/vnd.oasis.opendocument.image-template", extensions = ["oti"]),
  (name = "application/vnd.oasis.opendocument.presentation", extensions = ["odp"]),
  (name = "application/vnd.oasis.opendocument.presentation-template", extensions = ["otp"]),
  (name = "application/vnd.oasis.opendocument.spreadsheet", extensions = ["ods"]),
  (name = "application/vnd.oasis.opendocument.spreadsheet-template", extensions = ["ots"]),
  (name = "application/vnd.oasis.opendocument.text", extensions = ["odt"]),
  (name = "application/vnd.oasis.opendocument.text-master", extensions = ["odm"]),
  (name = "application/vnd.oasis.opendocument.text-template", extensions = ["ott"]),
  (name = "application/vnd.oasis.opendocument.text-web", extensions = ["oth"]),
  (name = "application/vnd.olpc-sugar", extensions = ["xo"]),
  (name = "application/vnd.oma.dd2+xml", extensions = ["dd2"]),
  (name = "application/vnd.openofficeorg.extension", extensions = ["oxt"]),
  (name = "application/vnd.openxmlformats-officedocument.presentationml.presentation", extensions = ["pptx"]),
  (name = "application/vnd.openxmlformats-officedocument.presentationml.slide", extensions = ["sldx"]),
  (name = "application/vnd.openxmlformats-officedocument.presentationml.slideshow", extensions = ["ppsx"]),
  (name = "application/vnd.openxmlformats-officedocument.presentationml.template", extensions = ["potx"]),
  (name = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet", extensions = ["xlsx"]),
  (name = "application/vnd.openxmlformats-officedocument.spreadsheetml.template", extensions = ["xltx"]),
  (name = "application/vnd.openxmlformats-officedocument.wordprocessingml.document", extensions = ["docx"]),
  (name = "application/vnd.openxmlformats-officedocument.wordprocessingml.template", extensions = ["dotx"]),
  (name = "application/vnd.osgeo.mapguide.package", extensions = ["mgp"]),
  (name = "application/vnd.osgi.dp", extensions = ["dp"]),
  (name = "application/vnd.osgi.subsystem", extensions = ["esa"]),
  (name = "application/vnd.palm", extensions = ["pdb","pqa","oprc"]),
  (name = "application/vnd.pawaafile", extensions = ["paw"]),
  (name = "application/vnd.pg.format", extensions = ["str"]),
  (name = "application/vnd.pg.osasli", extensions = ["ei6"]),
  (name = "application/vnd.picsel", extensions = ["efif"]),
  (name = "application/vnd.pmi.widget", extensions = ["wg"]),
  (name = "application/vnd.pocketlearn", extensions = ["plf"]),
  (name = "application/vnd.powerbuilder6", extensions = ["pbd"]),
  (name = "application/vnd.previewsystems.box", extensions = ["box"]),
  (name = "application/vnd.proteus.magazine", extensions = ["mgz"]),
  (name = "application/vnd.publishare-delta-tree", extensions = ["qps"]),
  (name = "application/vnd.pvi.ptid1", extensions = ["ptid"]),
  (name = "application/vnd.quark.quarkxpress", extensions = ["qxd","qxt","qwd","qwt","qxl","qxb"]),
  (name = "application/vnd.realvnc.bed", extensions = ["bed"]),
  (name = "application/vnd.recordare.musicxml", extensions = ["mxl"]),
  (name = "application/vnd.recordare.musicxml+xml", extensions = ["musicxml"]),
  (name = "application/vnd.rig.cryptonote", extensions = ["cryptonote"]),
  (name = "application/vnd.rim.cod", extensions = ["cod"]),
  (name = "application/vnd.rn-realmedia", extensions = ["rm"]),
  (name = "application/vnd.rn-realmedia-vbr", extensions = ["rmvb"]),
  (name = "application/vnd.route66.link66+xml", extensions = ["link66"]),
  (name = "application/vnd.sailingtracker.track", extensions = ["st"]),
  (name = "application/vnd.seemail", extensions = ["see"]),
  (name = "application/vnd.sema", extensions = ["sema"]),
  (name = "application/vnd.semd", extensions = ["semd"]),
  (name = "application/vnd.semf", extensions = ["semf"]),
  (name = "application/vnd.shana.informed.formdata", extensions = ["ifm"]),
  (name = "application/vnd.shana.informed.formtemplate", extensions = ["itp"]),
  (name = "application/vnd.shana.informed.interchange", extensions = ["iif"]),
  (name = "application/vnd.shana.informed.package", extensions = ["ipk"]),
  (name = "application/vnd.simtech-mindmapper", extensions = ["twd","twds"]),
  (name = "application/vnd.smaf", extensions = ["mmf"]),
  (name = "application/vnd.smart.teacher", extensions = ["teacher"]),
  (name = "application/vnd.solent.sdkm+xml", extensions = ["sdkm","sdkd"]),
  (name = "application/vnd.spotfire.dxp", extensions = ["dxp"]),
  (name = "application/vnd.spotfire.sfs", extensions = ["sfs"]),
  (name = "application/vnd.stardivision.calc", extensions = ["sdc"]),
  (name = "application/vnd.stardivision.draw", extensions = ["sda"]),
  (name = "application/vnd.stardivision.impress", extensions = ["sdd"]),
  (name = "application/vnd.stardivision.math", extensions = ["smf"]),
  (name = "application/vnd.stardivision.writer", extensions = ["sdw","vor"]),
  (name = "application/vnd.stardivision.writer-global", extensions = ["sgl"]),
  (name = "application/vnd.stepmania.package", extensions = ["smzip"]),
  (name = "application/vnd.stepmania.stepchart", extensions = ["sm"]),
  (name = "application/vnd.sun.wadl+xml", extensions = ["wadl"]),
  (name = "application/vnd.sun.xml.calc", extensions = ["sxc"]),
  (name = "application/vnd.sun.xml.calc.template", extensions = ["stc"]),
  (name = "application/vnd.sun.xml.draw", extensions = ["sxd"]),
  (name = "application/vnd.sun.xml.draw.template", extensions = ["std"]),
  (name = "application/vnd.sun.xml.impress", extensions = ["sxi"]),
  (name = "application/vnd.sun.xml.impress.template", extensions = ["sti"]),
  (name = "application/vnd.sun.xml.math", extensions = ["sxm"]),
  (name = "application/vnd.sun.xml.writer", extensions = ["sxw"]),
  (name = "application/vnd.sun.xml.writer.global", extensions = ["sxg"]),
  (name = "application/vnd.sun.xml.writer.template", extensions = ["stw"]),
  (name = "application/vnd.sus-calendar", extensions = ["sus","susp"]),
  (name = "application/vnd.svd", extensions = ["svd"]),
  (name = "application/vnd.symbian.install", extensions = ["sis","sisx"]),
  (name = "application/vnd.syncml+xml", extensions = ["xsm"]),
  (name = "application/vnd.syncml.dm+wbxml", extensions = ["bdm"]),
  (name = "application/vnd.syncml.dm+xml", extensions = ["xdm"]),
  (name = "application/vnd.tao.intent-module-archive", extensions = ["tao"]),
  (name = "application/vnd.tcpdump.pcap", extensions = ["pcap","cap","dmp"]),
  (name = "application/vnd.tmobile-livetv", extensions = ["tmo"]),
  (name = "application/vnd.trid.tpt", extensions = ["tpt"]),
  (name = "application/vnd.triscape.mxs", extensions = ["mxs"]),
  (name = "application/vnd.trueapp", extensions = ["tra"]),
  (name = "application/vnd.ufdl", extensions = ["ufd","ufdl"]),
  (name = "application/vnd.uiq.theme", extensions = ["utz"]),
  (name = "application/vnd.umajin", extensions = ["umj"]),
  (name = "application/vnd.unity", extensions = ["unityweb"]),
  (name = "application/vnd.uoml+xml", extensions = ["uoml"]),
  (name = "application/vnd.vcx", extensions = ["vcx"]),
  (name = "application/vnd.visio", extensions = ["vsd","vst","vss","vsw"]),
  (name = "application/vnd.visionary", extensions = ["vis"]),
  (name = "application/vnd.vsf", extensions = ["vsf"]),
  (name = "application/vnd.wap.wbxml", extensions = ["wbxml"]),
  (name = "application/vnd.wap.wmlc", extensions = ["wmlc"]),
  (name = "application/vnd.wap.wmlscriptc", extensions = ["wmlsc"]),
  (name = "application/vnd.webturbo", extensions = ["wtb"]),
  (name = "application/vnd.wolfram.player", extensions = ["nbp"]),
  (name = "application/vnd.wordperfect", extensions = ["wpd"]),
  (name = "application/vnd.wqd", extensions = ["wqd"]),
  (name = "application/vnd.wt.stf", extensions = ["stf"]),
  (name = "application/vnd.xara", extensions = ["xar"]),
  (name = "application/vnd.xfdl", extensions = ["xfdl"]),
  (name = "application/vnd.yamaha.hv-dic", extensions = ["hvd"]),
  (name = "application/vnd.yamaha.hv-script", extensions = ["hvs"]),
  (name = "application/vnd.yamaha.hv-voice", extensions = ["hvp"]),
  (name = "application/vnd.yamaha.openscoreformat", extensions = ["osf"]),
  (name = "application/vnd.yamaha.openscoreformat.osfpvg+xml", extensions = ["osfpvg"]),
  (name = "application/vnd.yamaha.smaf-audio", extensions = ["saf"]),
  (name = "application/vnd.yamaha.smaf-phrase", extensions = ["spf"]),
  (name = "application/vnd.yellowriver-custom-menu", extensions = ["cmp"]),
  (name = "application/vnd.zul", extensions = ["zir","zirz"]),
  (name = "application/vnd.zzazz.deck+xml", extensions = ["zaz"]),
  (name = "application/x-7z-compressed", extensions = ["7z"]),
  (name = "application/x-abiword", extensions = ["abw"]),
  (name = "application/x-ace-compressed", extensions = ["ace"]),
  (name = "application/x-apple-diskimage", extensions = ["*dmg"]),
  (name = "application/x-arj", extensions = ["arj"]),
  (name = "application/x-authorware-bin", extensions = ["aab","x32","u32","vox"]),
  (name = "application/x-authorware-map", extensions = ["aam"]),
  (name = "application/x-authorware-seg", extensions = ["aas"]),
  (name = "application/x-bcpio", extensions = ["bcpio"]),
  (name = "application/x-bdoc", extensions = ["*bdoc"]),
  (name = "application/x-bittorrent", extensions = ["torrent"]),
  (name = "application/x-blorb", extensions = ["blb","blorb"]),
  (name = "application/x-bzip", extensions = ["bz"]),
  (name = "application/x-bzip2", extensions = ["bz2","boz"]),
  (name = "application/x-cbr", extensions = ["cbr","cba","cbt","cbz","cb7"]),
  (name = "application/x-cdlink", extensions = ["vcd"]),
  (name = "application/x-cfs-compressed", extensions = ["cfs"]),
  (name = "application/x-chat", extensions = ["chat"]),
  (name = "application/x-chess-pgn", extensions = ["pgn"]),
  (name = "application/x-chrome-extension", extensions = ["crx"]),
  (name = "application/x-cocoa", extensions = ["cco"]),
  (name = "application/x-conference", extensions = ["nsc"]),
  (name = "application/x-cpio", extensions = ["cpio"]),
  (name = "application/x-csh", extensions = ["csh"]),
  (name = "application/x-debian-package", extensions = ["*deb","udeb"]),
  (name = "application/x-dgc-compressed", extensions = ["dgc"]),
  (name = "application/x-director", extensions = ["dir","dcr","dxr","cst","cct","cxt","w3d","fgd","swa"]),
  (name = "application/x-doom", extensions = ["wad"]),
  (name = "application/x-dtbncx+xml", extensions = ["ncx"]),
  (name = "application/x-dtbook+xml", extensions = ["dtb"]),
  (name = "application/x-dtbresource+xml", extensions = ["res"]),
  (name = "application/x-dvi", extensions = ["dvi"]),
  (name = "application/x-envoy", extensions = ["evy"]),
  (name = "application/x-eva", extensions = ["eva"]),
  (name = "application/x-font-bdf", extensions = ["bdf"]),
  (name = "application/x-font-ghostscript", extensions = ["gsf"]),
  (name = "application/x-font-linux-psf", extensions = ["psf"]),
  (name = "application/x-font-pcf", extensions = ["pcf"]),
  (name = "application/x-font-snf", extensions = ["snf"]),
  (name = "application/x-font-type1", extensions = ["pfa","pfb","pfm","afm"]),
  (name = "application/x-freearc", extensions = ["arc"]),
  (name = "application/x-futuresplash", extensions = ["spl"]),
  (name = "application/x-gca-compressed", extensions = ["gca"]),
  (name = "application/x-glulx", extensions = ["ulx"]),
  (name = "application/x-gnumeric", extensions = ["gnumeric"]),
  (name = "application/x-gramps-xml", extensions = ["gramps"]),
  (name = "application/x-gtar", extensions = ["gtar"]),
  (name = "application/x-hdf", extensions = ["hdf"]),
  (name = "application/x-httpd-php", extensions = ["php"]),
  (name = "application/x-install-instructions", extensions = ["install"]),
  (name = "application/x-iso9660-image", extensions = ["*iso"]),
  (name = "application/x-java-archive-diff", extensions = ["jardiff"]),
  (name = "application/x-java-jnlp-file", extensions = ["jnlp"]),
  (name = "application/x-latex", extensions = ["latex"]),
  (name = "application/x-lua-bytecode", extensions = ["luac"]),
  (name = "application/x-lzh-compressed", extensions = ["lzh","lha"]),
  (name = "application/x-makeself", extensions = ["run"]),
  (name = "application/x-mie", extensions = ["mie"]),
  (name = "application/x-mobipocket-ebook", extensions = ["prc","mobi"]),
  (name = "application/x-ms-application", extensions = ["application"]),
  (name = "application/x-ms-shortcut", extensions = ["lnk"]),
  (name = "application/x-ms-wmd", extensions = ["wmd"]),
  (name = "application/x-ms-wmz", extensions = ["wmz"]),
  (name = "application/x-ms-xbap", extensions = ["xbap"]),
  (name = "application/x-msaccess", extensions = ["mdb"]),
  (name = "application/x-msbinder", extensions = ["obd"]),
  (name = "application/x-mscardfile", extensions = ["crd"]),
  (name = "application/x-msclip", extensions = ["clp"]),
  (name = "application/x-msdos-program", extensions = ["*exe"]),
  (name = "application/x-msdownload", extensions = ["*exe","*dll","com","bat","*msi"]),
  (name = "application/x-msmediaview", extensions = ["mvb","m13","m14"]),
  (name = "application/x-msmetafile", extensions = ["wmf","*wmz","emf","emz"]),
  (name = "application/x-msmoney", extensions = ["mny"]),
  (name = "application/x-mspublisher", extensions = ["pub"]),
  (name = "application/x-msschedule", extensions = ["scd"]),
  (name = "application/x-msterminal", extensions = ["trm"]),
  (name = "application/x-mswrite", extensions = ["wri"]),
  (name = "application/x-netcdf", extensions = ["nc","cdf"]),
  (name = "application/x-ns-proxy-autoconfig", extensions = ["pac"]),
  (name = "application/x-nzb", extensions = ["nzb"]),
  (name = "application/x-perl", extensions = ["pl","pm"]),
  (name = "application/x-pilot", extensions = ["*prc","*pdb"]),
  (name = "application/x-pkcs12", extensions = ["p12","pfx"]),
  (name = "application/x-pkcs7-certificates", extensions = ["p7b","spc"]),
  (name = "application/x-pkcs7-certreqresp", extensions = ["p7r"]),
  (name = "application/x-rar-compressed", extensions = ["rar"]),
  (name = "application/x-redhat-package-manager", extensions = ["rpm"]),
  (name = "application/x-research-info-systems", extensions = ["ris"]),
  (name = "application/x-sea", extensions = ["sea"]),
  (name = "application/x-sh", extensions = ["sh"]),
  (name = "application/x-shar", extensions = ["shar"]),
  (name = "application/x-shockwave-flash", extensions = ["swf"]),
  (name = "application/x-silverlight-app", extensions = ["xap"]),
  (name = "application/x-sql", extensions = ["sql"]),
  (name = "application/x-stuffit", extensions = ["sit"]),
  (name = "application/x-stuffitx", extensions = ["sitx"]),
  (name = "application/x-subrip", extensions = ["srt"]),
  (name = "application/x-sv4cpio", extensions = ["sv4cpio"]),
  (name = "application/x-sv4crc", extensions = ["sv4crc"]),
  (name = "application/x-t3vm-image", extensions = ["t3"]),
  (name = "application/x-tads", extensions = ["gam"]),
  (name = "application/x-tar", extensions = ["tar"]),
  (name = "application/x-tcl", extensions = ["tcl","tk"]),
  (name = "application/x-tex", extensions = ["tex"]),
  (name = "application/x-tex-tfm", extensions = ["tfm"]),
  (name = "application/x-texinfo", extensions = ["texinfo","texi"]),
  (name = "application/x-tgif", extensions = ["obj"]),
  (name = "application/x-ustar", extensions = ["ustar"]),
  (name = "application/x-virtualbox-hdd", extensions = ["hdd"]),
  (name = "application/x-virtualbox-ova", extensions = ["ova"]),
  (name = "application/x-virtualbox-ovf", extensions = ["ovf"]),
  (name = "application/x-virtualbox-vbox", extensions = ["vbox"]),
  (name = "application/x-virtualbox-vbox-extpack", extensions = ["vbox-extpack"]),
  (name = "application/x-virtualbox-vdi", extensions = ["vdi"]),
  (name = "application/x-virtualbox-vhd", extensions = ["vhd"]),
  (name = "application/x-virtualbox-vmdk", extensions = ["vmdk"]),
  (name = "application/x-wais-source", extensions = ["src"]),
  (name = "application/x-web-app-manifest+json", extensions = ["webapp"]),
  (name = "application/x-x509-ca-cert", extensions = ["der","crt","pem"]),
  (name = "application/x-xfig", extensions = ["fig"]),
  (name = "application/x-xliff+xml", extensions = ["xlf"]),
  (name = "application/x-xpinstall", extensions = ["xpi"]),
  (name = "application/x-xz", extensions = ["xz"]),
  (name = "application/x-zmachine", extensions = ["z1","z2","z3","z4","z5","z6","z7","z8"]),
  (name = "audio/vnd.dece.audio", extensions = ["uva","uvva"]),
  (name = "audio/vnd.digital-winds", extensions = ["eol"]),
  (name = "audio/vnd.dra", extensions = ["dra"]),
  (name = "audio/vnd.dts", extensions = ["dts"]),
  (name = "audio/vnd.dts.hd", extensions = ["dtshd"]),
  (name = "audio/vnd.lucent.voice", extensions = ["lvp"]),
  (name = "audio/vnd.ms-playready.media.pya", extensions = ["pya"]),
  (name = "audio/vnd.nuera.ecelp4800", extensions = ["ecelp4800"]),
  (name = "audio/vnd.nuera.ecelp7470", extensions = ["ecelp7470"]),
  (name = "audio/vnd.nuera.ecelp9600", extensions = ["ecelp9600"]),
  (name = "audio/vnd.rip", extensions = ["rip"]),
  (name = "audio/x-aac", extensions = ["aac"]),
  (name = "audio/x-aiff", extensions = ["aif","aiff","aifc"]),
  (name = "audio/x-caf", extensions = ["caf"]),
  (name = "audio/x-flac", extensions = ["flac"]),
  (name = "audio/x-m4a", extensions = ["*m4a"]),
  (name = "audio/x-matroska", extensions = ["mka"]),
  (name = "audio/x-mpegurl", extensions = ["m3u"]),
  (name = "audio/x-ms-wax", extensions = ["wax"]),
  (name = "audio/x-ms-wma", extensions = ["wma"]),
  (name = "audio/x-pn-realaudio", extensions = ["ram","ra"]),
  (name = "audio/x-pn-realaudio-plugin", extensions = ["rmp"]),
  (name = "audio/x-realaudio", extensions = ["*ra"]),
  (name = "audio/x-wav", extensions = ["*wav"]),
  (name = "chemical/x-cdx", extensions = ["cdx"]),
  (name = "chemical/x-cif", extensions = ["cif"]),
  (name = "chemical/x-cmdf", extensions = ["cmdf"]),
  (name = "chemical/x-cml", extensions = ["cml"]),
  (name = "chemical/x-csml", extensions = ["csml"]),
  (name = "chemical/x-xyz", extensions = ["xyz"]),
  (name = "image/prs.btif", extensions = ["btif"]),
  (name = "image/vnd.adobe.photoshop", extensions = ["psd"]),
  (name = "image/vnd.dece.graphic", extensions = ["uvi","uvvi","uvg","uvvg"]),
  (name = "image/vnd.djvu", extensions = ["djvu","djv"]),
  (name = "image/vnd.dvb.subtitle", extensions = ["*sub"]),
  (name = "image/vnd.dwg", extensions = ["dwg"]),
  (name = "image/vnd.dxf", extensions = ["dxf"]),
  (name = "image/vnd.fastbidsheet", extensions = ["fbs"]),
  (name = "image/vnd.fpx", extensions = ["fpx"]),
  (name = "image/vnd.fst", extensions = ["fst"]),
  (name = "image/vnd.fujixerox.edmics-mmr", extensions = ["mmr"]),
  (name = "image/vnd.fujixerox.edmics-rlc", extensions = ["rlc"]),
  (name = "image/vnd.ms-modi", extensions = ["mdi"]),
  (name = "image/vnd.ms-photo", extensions = ["wdp"]),
  (name = "image/vnd.net-fpx", extensions = ["npx"]),
  (name = "image/vnd.wap.wbmp", extensions = ["wbmp"]),
  (name = "image/vnd.xiff", extensions = ["xif"]),
  (name = "image/x-3ds", extensions = ["3ds"]),
  (name = "image/x-cmu-raster", extensions = ["ras"]),
  (name = "image/x-cmx", extensions = ["cmx"]),
  (name = "image/x-freehand", extensions = ["fh","fhc","fh4","fh5","fh7"]),
  (name = "image/x-icon", extensions = ["ico"]),
  (name = "image/x-jng", extensions = ["jng"]),
  (name = "image/x-mrsid-image", extensions = ["sid"]),
  (name = "image/x-ms-bmp", extensions = ["*bmp"]),
  (name = "image/x-pcx", extensions = ["pcx"]),
  (name = "image/x-pict", extensions = ["pic","pct"]),
  (name = "image/x-portable-anymap", extensions = ["pnm"]),
  (name = "image/x-portable-bitmap", extensions = ["pbm"]),
  (name = "image/x-portable-graymap", extensions = ["pgm"]),
  (name = "image/x-portable-pixmap", extensions = ["ppm"]),
  (name = "image/x-rgb", extensions = ["rgb"]),
  (name = "image/x-tga", extensions = ["tga"]),
  (name = "image/x-xbitmap", extensions = ["xbm"]),
  (name = "image/x-xpixmap", extensions = ["xpm"]),
  (name = "image/x-xwindowdump", extensions = ["xwd"]),
  (name = "model/vnd.collada+xml", extensions = ["dae"]),
  (name = "model/vnd.dwf", extensions = ["dwf"]),
  (name = "model/vnd.gdl", extensions = ["gdl"]),
  (name = "model/vnd.gtw", extensions = ["gtw"]),
  (name = "model/vnd.mts", extensions = ["mts"]),
  (name = "model/vnd.vtu", extensions = ["vtu"]),
  (name = "text/prs.lines.tag", extensions = ["dsc"]),
  (name = "text/vnd.curl", extensions = ["curl"]),
  (name = "text/vnd.curl.dcurl", extensions = ["dcurl"]),
  (name = "text/vnd.curl.mcurl", extensions = ["mcurl"]),
  (name = "text/vnd.curl.scurl", extensions = ["scurl"]),
  (name = "text/vnd.dvb.subtitle", extensions = ["sub"]),
  (name = "text/vnd.fly", extensions = ["fly"]),
  (name = "text/vnd.fmi.flexstor", extensions = ["flx"]),
  (name = "text/vnd.graphviz", extensions = ["gv"]),
  (name = "text/vnd.in3d.3dml", extensions = ["3dml"]),
  (name = "text/vnd.in3d.spot", extensions = ["spot"]),
  (name = "text/vnd.sun.j2me.app-descriptor", extensions = ["jad"]),
  (name = "text/vnd.wap.wml", extensions = ["wml"]),
  (name = "text/vnd.wap.wmlscript", extensions = ["wmls"]),
  (name = "text/x-asm", extensions = ["s","asm"]),
  (name = "text/x-c", extensions = ["c","cc","cxx","cpp","h","hh","dic"]),
  (name = "text/x-component", extensions = ["htc"]),
  (name = "text/x-fortran", extensions = ["f","for","f77","f90"]),
  (name = "text/x-handlebars-template", extensions = ["hbs"]),
  (name = "text/x-java-source", extensions = ["java"]),
  (name = "text/x-lua", extensions = ["lua"]),
  (name = "text/x-markdown", extensions = ["mkd"]),
  (name = "text/x-nfo", extensions = ["nfo"]),
  (name = "text/x-opml", extensions = ["opml"]),
  (name = "text/x-org", extensions = ["*org"]),
  (name = "text/x-pascal", extensions = ["p","pas"]),
  (name = "text/x-processing", extensions = ["pde"]),
  (name = "text/x-sass", extensions = ["sass"]),
  (name = "text/x-scss", extensions = ["scss"]),
  (name = "text/x-setext", extensions = ["etx"]),
  (name = "text/x-sfv", extensions = ["sfv"]),
  (name = "text/x-suse-ymp", extensions = ["ymp"]),
  (name = "text/x-uuencode", extensions = ["uu"]),
  (name = "text/x-vcalendar", extensions = ["vcs"]),
  (name = "text/x-vcard", extensions = ["vcf"]),
  (name = "video/vnd.dece.hd", extensions = ["uvh","uvvh"]),
  (name = "video/vnd.dece.mobile", extensions = ["uvm","uvvm"]),
  (name = "video/vnd.dece.pd", extensions = ["uvp","uvvp"]),
  (name = "video/vnd.dece.sd", extensions = ["uvs","uvvs"]),
  (name = "video/vnd.dece.video", extensions = ["uvv","uvvv"]),
  (name = "video/vnd.dvb.file", extensions = ["dvb"]),
  (name = "video/vnd.fvt", extensions = ["fvt"]),
  (name = "video/vnd.mpegurl", extensions = ["mxu","m4u"]),
  (name = "video/vnd.ms-playready.media.pyv", extensions = ["pyv"]),
  (name = "video/vnd.uvvu.mp4", extensions = ["uvu","uvvu"]),
  (name = "video/vnd.vivo", extensions = ["viv"]),
  (name = "video/x-f4v", extensions = ["f4v"]),
  (name = "video/x-fli", extensions = ["fli"]),
  (name = "video/x-flv", extensions = ["flv"]),
  (name = "video/x-m4v", extensions = ["m4v"]),
  (name = "video/x-matroska", extensions = ["mkv","mk3d","mks"]),
  (name = "video/x-mng", extensions = ["mng"]),
  (name = "video/x-ms-asf", extensions = ["asf","asx"]),
  (name = "video/x-ms-vob", extensions = ["vob"]),
  (name = "video/x-ms-wm", extensions = ["wm"]),
  (name = "video/x-ms-wmv", extensions = ["wmv"]),
  (name = "video/x-ms-wmx", extensions = ["wmx"]),
  (name = "video/x-ms-wvx", extensions = ["wvx"]),
  (name = "video/x-msvideo", extensions = ["avi"]),
  (name = "video/x-sgi-movie", extensions = ["movie"]),
  (name = "video/x-smv", extensions = ["smv"]),
  (name = "x-conference/x-cooltalk", extensions = ["ice"]),
];
